Subject: Re: [CDNi] Shepherd Review of URI Signing

From: Kevin Ma <[email-masked]>
Date: Sun, 5 May 2019 16:25:18 -0400

Hi Phil,

  I had two comments on the updated draft:

  - section 2.1.3:
    "It should be appropriately set to an identiy that the validating CDN
understands itself to be capable of validating on behalf of.  This may be
the CSP identity, or any CDN in the chain and can also be modified as
needed by any entity in the chain as long as they can generate a valid
signature." -> "The claim should contain an identity on behalf of whom the
CDN can verify the token (e.g., the CSP or any uCDN in the chain).  A dCDN
MAY modify claim as long it can generate a valid signature." ?

  - section 4.5:
    It would be nice if the 4xx errors matched up with the 2.1.xx section
numbers.  ;)

  Do we have any open issues left?  or do we think we're close to trying
another WGLC?

thanx!

--  Kevin J. Ma

On Mon, Mar 11, 2019 at 7:17 PM Phil Sorber <[email-masked]> wrote:

> Sorry for the delay. I've published version 17 that covers your review as
> well as the items you put in this thread and a few other comments on the
> list. Here is a link to the diff (not including your changes):
>
> https://github.com/PSUdaemon/URISigningSpec/pull/61/files
>
> Thanks.
>
> On Mon, Nov 12, 2018 at 10:36 PM Kevin Ma <[email-masked]>
> wrote:
>
>> one additional question:
>>
>> - section 2.1.3: Is any CDN allowed to add/modify the audience claim?
>> Can we add explicit text wrt who can/should modify the audience claim?
>>
>> On Tue, Nov 13, 2018 at 12:16 AM Kevin Ma <[email-masked]>
>> wrote:
>>
>>> trying again: https://github.com/PSUdaemon/URISigningSpec/pull/60/files
>>>
>>> On Sun, Nov 11, 2018 at 11:25 PM Phil Sorber <[email-masked]> wrote:
>>>
>>>> Kevin,
>>>>
>>>> Your PR has been made against your own repo and not mine, thus I cannot
>>>> merge it. Can you create a PR with it against my repo instead?
>>>>
>>>> Thanks.
>>>>
>>>> On Sat, Nov 10, 2018 at 10:39 PM Kevin Ma <[email-masked]>
>>>> wrote:
>>>>
>>>>> Hi All,
>>>>>
>>>>>   (As chair) As promised, I have performed a shepherd review of the
>>>>> latest URI Signing draft.  I have submitted a pull request addressing a
>>>>> whole bunch of nits:
>>>>> https://github.com/kjmietf/URISigningSpec/pull/2/files .  Three
>>>>> additional questions for the authors:
>>>>>
>>>>>   - general: should RFC3986, RFC5952, RFC6265, and POSIX.1 be
>>>>> normative references?  They feel normative to me.
>>>>>   - section 2.1.10: do you want to add a reference for IPv4 address
>>>>> notation?
>>>>>   - section 6.4: Are there any special instructions to the expert
>>>>> reviewer?  Need to remove the ed note.
>>>>>
>>>>>   I think that the draft will be ready for WGLC once the above issues
>>>>> are addressed.
>>>>>
>>>>> thanx!
>>>>>
>>>>> --  Kevin J. Ma
>>>>>
>>>>> _______________________________________________
>>>>> CDNi mailing list
>>>>> [email-masked]
>>>>> https://www.ietf.org/mailman/listinfo/cdni
>>>>>
>>>>

---

From: Kevin Ma <[email-masked]>
Date: Sun, 5 May 2019 16:26:20 -0400

"modify claim" -> "modify this claim"

On Sun, May 5, 2019 at 4:25 PM Kevin Ma <[email-masked]> wrote:

>>>>> Your PR has been made against your own repo and not mine, thus I
>>>>> cannot merge it. Can you create a PR with it against my repo instead?
>>>>>
>>>>> Thanks.
>>>>>